
int led = 3;           // a PWM kivezetés száma amire a LED van kötve
int fenyero = 0;    // a LED fényereje
int valtozz = 5;    // egy lefutás alatt mennyit sötétítsünk

// the setup routine runs once when you press reset:
void setup() {
  // felvesszük a kimenetet:
  pinMode(led, OUTPUT);
}

// the loop routine runs over and over again forever:
void loop() {
  
  analogWrite(led, fenyero); //fényerő beállítása (a lényeg)
  
  // változtasd a fényerő értékét a következő lefutáshoz:
  fenyero = fenyero + valtozz;

  // fordítsd a változást:
  if (fenyero <= 0 || fenyero >= 255) {
    valtozz = -valtozz;
  }
  // 30 mS késleltetés
  delay(30);
}
